 import {select,arc} from 'd3' 

 const d3svg=select('svg')   //d3 select function, very common
 // d3svg.style('background-color','blue')
  
 const width= parseFloat(d3svg.attr('width')) 
 const height= +d3svg.attr('height')
 //d3svg.attr extracts width,height from index.html
 //parseFloat and + turns string into float
 
 //console.log(typeof width)
 
 //yellow circle
 const yellowcircle=d3svg.append('circle')   //define a circle from svg
 yellowcircle.attr('r',height/2)
   .attr('cx',width/2).attr('cy',height/2)
   .attr('fill','yellow').attr('stroke','black')    

//eyes

const eyes=d3svg.append('g')    //defining a group that will apply to both eyes
eyes.attr('fill','black').attr('stroke','black')
const lefteye=eyes.append('circle') 
const righteye=eyes.append('circle')
const radius=30
const xEyeShift=100
const yEyeShift=80

lefteye.attr('cx',width/2-xEyeShift).attr('cy',height/2-yEyeShift).attr('r',radius)
   
righteye.attr('cx',width/2+xEyeShift).attr('cy',height/2-yEyeShift).attr('r',radius)


//mouth
const mouth =d3svg.append('path')    //defining a path from svg
mouth.attr('d',arc()({innerRadius: 90, outerRadius: 100,
  startAngle: Math.PI/2, endAngle: 3*Math.PI/2}))             //arc is from d3 API documentation
  .attr('transform',`translate(${width/2},${height/2})`);     //translate moves the item

//eyebrows
const eyebrowWidth=60
const eyebrowHeight=10
const eyebrowLeft=d3svg.append('rect')   //rect is from svg
const eyebrowRight=d3svg.append('rect')



eyebrowLeft.attr('x',width/2-xEyeShift-radius)
  .attr('y',height/2-2*yEyeShift).attr('width',eyebrowWidth).attr('height',eyebrowHeight)

eyebrowRight.attr('x',width/2+xEyeShift-radius)
  .attr('y',height/2-2*yEyeShift).attr('width',eyebrowWidth).attr('height',eyebrowHeight)
